kr.co.hanwha.hifive.data.model

## Class TaskDetailRoot

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.TaskDetailRoot

-     public class TaskDetailRoot
      extends BaseData

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.ArrayList<CampaignData>` | `listCampaigns`
    `(package private) java.util.ArrayList<java.lang.String>` | `listResTasksHashtags`
    `(package private) java.util.ArrayList<TaskHistoryData>` | `listTasksHistory`
    `(package private) TaskDetailData` | `taskResult`

    - ### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

      `rtn_code, rtn_message, server_time`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDetailRoot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<CampaignData>` | `getListCampaigns()`
    `java.util.ArrayList<java.lang.String>` | `getListResTasksHashtags()`
    `java.util.ArrayList<TaskHistoryData>` | `getListTasksHistory()`
    `TaskDetailData` | `getTaskResult()`
    `void` | `setListResTasksHashtags(java.util.ArrayList<java.lang.String> listResTasksHashtags)`
    `void` | `setTaskResult(TaskDetailData taskResult)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

      `getRtn_code, getRtn_message, getServer_time`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### taskResult

          TaskDetailData taskResult

    - #### listResTasksHashtags

          java.util.ArrayList<java.lang.String> listResTasksHashtags

    - #### listTasksHistory

          java.util.ArrayList<TaskHistoryData> listTasksHistory

    - #### listCampaigns

          java.util.ArrayList<CampaignData> listCampaigns

  - ### Constructor Detail

    - #### TaskDetailRoot

          public TaskDetailRoot()

  - ### Method Detail

    - #### getTaskResult

          public TaskDetailData getTaskResult()

    - #### getListResTasksHashtags

          public java.util.ArrayList<java.lang.String> getListResTasksHashtags()

    - #### getListCampaigns

          public java.util.ArrayList<CampaignData> getListCampaigns()

    - #### setTaskResult

          public void setTaskResult(TaskDetailData taskResult)

    - #### setListResTasksHashtags

          public void setListResTasksHashtags(java.util.ArrayList<java.lang.String> listResTasksHashtags)

    - #### getListTasksHistory

          public java.util.ArrayList<TaskHistoryData> getListTasksHistory()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BaseData`